#2385 closed enhancement (fixed)

Warning from commit "bsps/arm: Do not use __ARM_ARCH_7A__"

Reported by: Chris Johns Owned by: Sebastian Huber
Priority: high Milestone: 5.1
Component: arch/arm Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This change https://git.rtems.org/rtems/commit/?h=4.11&id=d0733bb8 generate a warning in user code. The warning is:

.../arm-errata.h:45:1: warning: 'in line' is not at beginning of declaration [-Wold-style-declaration]
 static bool inline arm_errata_is_applicable_processor_errata_764369(void)
 ^

Change History (5)

comment:1 Changed on Sep 4, 2015 at 11:51:14 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In fc5e52b93837da575a73d5f1d783732587f8ec4e/rtems:

bsps/arm: Fix function definition

Close #2385.

comment:2 Changed on Sep 4, 2015 at 11:52:58 AM by Sebastian Huber

Milestone: 4.11.14.12
Version: 4.114.12

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 10, 2017 at 6:54:12 AM by Sebastian Huber

Component: bspsarch/arm

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.